pyresample (1.28.2-1build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 18:18:41 +1100

pyresample (1.28.2-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    - Drop 0005-Include-package-data.patch, applied upstream.
  * debian/rules:
    - Skip tests that are incompatible with pytest 8 (see also
      https://github.com/TvoroG/pytest-lazy-fixture/issues/65).

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 02 Mar 2024 11:49:49 +0000

pyresample (1.28.1-2) unstable; urgency=medium

  * debian/rules:
    - Temporarily skip "test_get_sample_from_bil_info_1d"
      (failing on mips64el).

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 18 Feb 2024 07:18:57 +0000

pyresample (1.28.1-1) unstable; urgency=medium

  * New upstream release.
  * Update d/copyright.
  * debian/control:
    - Update dependencies (add dependencies on python3-donfig,
      python3-platformdirs, python3-versioneer).
  * debian/patches:
    - Drop 0004-Versioneer-path.patch and 0006-Floating-point-comparison.patch.
    - Refresh and renumber remaining patches.
    - New 0005-Include-package-data.patch.
  * debian/rules:
    - Skip tests requiring access to the internet.
  * New debian/source/lintian-overrides.
  * Update d/python3-pyresample.lintian-overrides.
  * debian/rules:
    - Do not install files generated during tests.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 17 Feb 2024 11:04:19 +0000

pyresample (1.27.1-3) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Override dh_numpy3 to fix unused substitution variable.

  [ Antonio Valentino ]
  * debian/patches:
    - New 0006-Floating-point-comparison.patch.
  * debian/rules:
    - Skip test_cartopy_crs, not compatible with new versions
      of cartopy.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 09 Dec 2023 14:48:08 +0000

pyresample (1.27.1-2) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Remove generated files in clean target.

  [ Antonio Valentino ]
  * Temporary skip test_def2yaml_converter which ffails witn libproj 9.3
    (seee also https://github.com/pytroll/pyresample/issues/539).
    Closes: #1050774.
  * debian/control:
    - Use <!nodoc> and <!nocheck> markers.
    - Update package description.
    - Drop unnecessary versioned dependencies.
  * Switch to dh-sequence-*.
  * Switch to autopkgtest-pkg-pybuild and drop the
    no longer needed d/tests folder.
  * debian/rules:
    - Improve rule to build documentation.
  * Update d/clean.
  * Update d/python3-pyresample.lintian-overrides.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Tue, 29 Aug 2023 17:26:45 +0000

pyresample (1.27.1-1) unstable; urgency=medium

  * New upstream release.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Fri, 23 Jun 2023 06:18:51 +0000

pyresample (1.27.0-1) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Enable numpy3 dh helper.
  * Enable Salsa CI.
  * Bump Standards-Version to 4.6.2, no changes.

  [ Antonio Valentino ]
  * New upstream release.
  * Update copyright dates in d/copyright.
  * debian/control:
    - add build-dependency on sphinx-reredirects and sphinx-rtd-theme.
  * debian/patches:
    - drop test_area_def_geocentric_resolution.patch (applied upstream)
    - refresh and renumber remaining patches
    - new 0005-Fix-privacy-breachs.patch.
  * Update d/python-pyresample-doc.links to avoid duplicate files.
  * Bump debhelper-compat version to 13.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 11 Jun 2023 17:19:02 +0200

pyresample (1.26.0-5) unstable; urgency=medium

  * Team upload.
  * Add patch to fix FTBFS with PROJ 9.1.1.
    (closes: #1025612)
  * Update lintian overrides.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 07 Dec 2022 16:58:17 +0100

pyresample (1.26.0-4) unstable; urgency=medium

  * Disable tests involving legacy_dask_ewa.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 26 Nov 2022 16:18:49 +0000

pyresample (1.26.0-3) unstable; urgency=medium

  * debian/patches:
    - drop 0005-Relax-accuracy-for-legacy-data-test.patch.
  * debian/rules:
    - skip test_compare_to_legacy see
      https://github.com/pytroll/pyresample/issues/481.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Fri, 25 Nov 2022 21:08:06 +0000

pyresample (1.26.0-2) unstable; urgency=medium

  * debian/patches:
    - new 0005-Relax-accuracy-for-legacy-data-test.patch.
      Fix test failure on 32bit architectures.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Fri, 25 Nov 2022 07:07:27 +0000

pyresample (1.26.0-1) unstable; urgency=medium

  * New upstream release.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Thu, 24 Nov 2022 21:18:16 +0000

pyresample (1.25.1-2) unstable; urgency=medium

  * Fix d/copyright formatting.
  * debian/rules:
    - do not remove .egg-info files
    - re-enable all tests.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 15 Oct 2022 09:32:29 +0000

pyresample (1.25.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/copyright:
    - fix typo.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Fri, 05 Aug 2022 09:26:55 +0000

pyresample (1.24.1-1) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Bump Standards-Version to 4.6.1, no changes.
  * Use supported python3 versions in autopkgtest.

  [ Antonio Valentino ]
  * New upstream release.
  * debian/patches:
    - refresh all patches
    - new debian/patches/0004-Versioneer-path.patch.
  * Update d/copyright.
  * debian/control:
    - add build-dependency on pybuild-plugin-pyproject.
  * debian/rules:
    - fix override_dh_auto_install target.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 09 Jul 2022 10:19:15 +0000

pyresample (1.23.0-1) unstable; urgency=medium

  * New upstream release.
  * Update d/copyright.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 26 Mar 2022 06:18:07 +0000

pyresample (1.22.3-2) unstable; urgency=medium

  * Fix egg-info management in d/rules.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Fri, 10 Dec 2021 07:48:41 +0000

pyresample (1.22.3-1) unstable; urgency=medium

  * New upstream release.
  * Update d/copyright file.
  * debian/patches:
    - update 0002-Skip-test-on-deprecated-basemap.patch
      (and also fix a typo in the patch name)
    - refresh all patches.
  * debian/rules:
    - remove egg-info from the wrong path.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Wed, 08 Dec 2021 10:09:19 +0000

pyresample (1.22.0-1) unstable; urgency=medium

  * New upstream release (Closes: 997502)
  * debian/patches:
    - refresh all patches.
  * debian/control:
    - add build dependency on python3-pytest-lazy-fixture
      and python3-importlib-metadata.
  * debian/rules:
    - exclude tests that work only when the package is installed.
  * Update d/python3-pyresample.lintian-overrides.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 30 Oct 2021 09:27:05 +0000

pyresample (1.21.1-1) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Bump Standards-Version to 4.6.0, no changes.
  * Update watch file for GitHub URL changes.

  [ Antonio Valentino ]
  * New upstream release (Closes: #985019).
  * Update debian/copyright file.
  * debian/control:
    - remove unnecessary versioned dependenvy (pykdtree).
  * debian/patches:
    - New 0003-Fix-mathjax-path.patch.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 26 Sep 2021 07:09:39 +0000

pyresample (1.17.0+ds-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    - add dependency on zarr
  * debian/patches:
    - drop 0003-Projection-names-compatibility.patch, applied upstream
    - drop 0004-Install-test-data.patch, applied upstream
    - drop 0005-pyproj3-compat.patch, applied upstream

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Mon, 16 Nov 2020 07:31:38 +0000

pyresample (1.16.0+ds-3) unstable; urgency=medium

  * debian/patches:
    - new 0005-pyproj3-compat.patch to fix compatibility with PyProj >= 3.0.
      See also https://github.com/pytroll/pyresample/pull/311.
      Closes: #973867, #973868.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 08 Nov 2020 10:09:34 +0000

pyresample (1.16.0+ds-2) unstable; urgency=medium

  * debian/control:
    - drop build dependency from deprecated basemap (closes: #972475)
    - add missing dependencies
  * Update lintian overrides for python3-pyresample.
  * Add Forwarded tag to all patches.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Thu, 22 Oct 2020 07:47:05 +0000

pyresample (1.16.0+ds-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    - add dependency from python3-shapely
  * debian/patches:
    - drop 0003-Fix-tests-on-i386.patch: applied upstream
    - refresh and renumber all patches

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 13 Jun 2020 07:08:57 +0000

pyresample (1.15.0+ds-1) unstable; urgency=medium

  * New upstream version.
  * Exclude auto-generated C source files from the orig archive.
  * Use cython during the build.
  * Use pytest for testing (new recommended tool).
  * debian/patches:
    - drop 0008-Compatibility-with-PyProj-v2.6.0.patch, applied upstream
      (see https://github.com/pytroll/pyresample/pull/258)
    - drop 0001-Skip-dask-related-tests-if-dask-is-not-available.patch,
      0002-Make-xarray-optional-for-testing.patch and
      0004-Comapt-with-dask-1.0.patch, no longer necessary
    - refresh and renumber remaining patches

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Mon, 23 Mar 2020 14:56:10 +0000

pyresample (1.14.0-4) unstable; urgency=medium

  * Bump Standards-Version to 4.5.0, no changes.
  * debian patches:
    - new 0008-Compatibility-with-PyProj-v2.6.0.patch (Closes: 954219)

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Thu, 19 Mar 2020 07:57:11 +0000

pyresample (1.14.0-3) unstable; urgency=medium

  * debian/patches:
    - drop 0001-fix-proj4-initialization.patch,no longer necessary
    - renumber all patches
    - new 0007-Projection-names-compatibility.patch (CLoses: 949274)

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Thu, 23 Jan 2020 07:50:04 +0000

pyresample (1.14.0-2) unstable; urgency=medium

  * debian/patches:
    - new 0007-Fix-tests-on-i386.patch: do not use equality
      to test floating point values

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Mon, 23 Dec 2019 17:11:33 +0000

pyresample (1.14.0-1) unstable; urgency=medium

  * New upstream release.
  * Update debian/copyright file.
  * debian/patches:
    - drop 0007-Fix-pyproj-inf.patch: applied upstream
    - refresh remaining patches

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Mon, 23 Dec 2019 09:36:58 +0000

pyresample (1.13.2-2) unstable; urgency=medium

  * Drop Provides: ${python3:Provides}.
  * debian/patches:
    - new 0007-Fix-pyproj-inf.patch, imported from
      upstream to fix unittest failures
      (closes: #946003)
  * debian/tests:
    - replace the deprecated ADTTMP with AUTOPKGTEST_TMP

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Tue, 03 Dec 2019 07:33:10 +0000

pyresample (1.13.2-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.4.1, no changes.
  * Refresh all pathces.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 12 Oct 2019 06:59:35 +0000

pyresample (1.13.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    - refresh all patches
  * debian/control:
    - explicitly specify Rules-Requires-Root: no

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Mon, 30 Sep 2019 08:01:23 +0200

pyresample (1.13.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    - refresh all patches
    - new 0005-Comapt-with-dask-1.0.patch and
      0006-Skip-test-on-deprecatet-basemap.patch

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 14 Sep 2019 17:36:42 +0000

pyresample (1.12.3-6) unstable; urgency=medium

  * Team upload.

  [ Antonio Valentino ]
  * Use debhelper-compat instead of debian/compat.
  * debian/patches:
    - new 0004-Detect-broken-basemap.patch: workaround for failures
      of basemap imports due to incompatibility with new pyproj
      versions (Closes: #939022)
  * debian/control:
    - depend on pyproj >= 2.3.1
    - drop dependency on python3-mock (not really necessary with Python 3)
  * Remove obsolete fields Name from debian/upstream/metadata.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 02 Sep 2019 18:03:28 +0200

pyresample (1.12.3-5) unstable; urgency=medium

  * Remove Python 2 from debian/tests.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Wed, 24 Jul 2019 05:50:57 +0000

pyresample (1.12.3-4) unstable; urgency=medium

  [ Antonio Valentino ]
  * Drop Python 2 support.
    (closes: #932621)

  [ Bas Couwenberg ]
  * Add ${python3:Provides} to arch: any packages.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 21 Jul 2019 15:29:47 +0000

pyresample (1.12.3-3) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Bump Standards-Version to 4.4.0, no changes.

  [ Antonio Valentino ]
  * Drop build-dependency from python-xarray (Closes: #932509).
  * debian/patches:
    new debian/patches/0003-Make-xarray-optional-for-testing.patch
  * Set compat to 12.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 20 Jul 2019 18:24:38 +0000

pyresample (1.12.3-2) unstable; urgency=medium

  * Team upload.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 10 Jul 2019 09:25:16 +0200

pyresample (1.12.3-1) experimental; urgency=medium

  [ Bas Couwenberg ]
  * Update gbp.conf to use --source-only-changes by default.

  [ Antonio Valentino ]
  * New upstream release.
  * debian/patches:
    - refrsh all patches
  * Set distribution to unstable.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Wed, 10 Jul 2019 06:06:22 +0000

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog python-pyresample-test`.
